Subject: Re: linux-next: manual merge of the rtc tree with the clk tree

From: Alexandre Belloni <[email-masked]>
Date: Tue, 12 Feb 2019 22:14:47 +0100

Hi Stephen and Stephen,

On 12/02/2019 13:02:38-0800, Stephen Boyd wrote:
> Quoting Stephen Rothwell (2019-02-10 21:17:31)
> > Hi all,
> > 
> > Today's linux-next merge of the rtc tree got a conflict in:
> > 
> >   drivers/clk/at91/sama5d2.c
> > 
> > between commit:
> > 
> >   77977b800451 ("clk: at91: enable AUDIOPLL as source for PCKx on SAMA5D2")
> > 
> > from the clk tree and commit:
> > 
> >   34d2ff2a6019 ("clk: at91: fix masterck name")
> > 
> > from the rtc tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> > 
> 
> Thanks. Looks good to me.

Actually, that was my mistake and I removed it from the RTC tree. I'm
really intending for "clk: at91: fix masterck name" to go through the
clk tree. I simply forgot to remove the patch from this branch after
testing it...

-- 
Alexandre Belloni, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com